package com.zd.laboratory.mapper;

import java.util.List;
import com.zd.laboratory.domain.LabMold;

/**
 * 实验室类型Mapper接口
 * 
 * @author liubo
 * @date 2022-05-17
 */
public interface LabMoldMapper 
{
    /**
     * 查询实验室类型
     * 
     * @param id 实验室类型主键
     * @return 实验室类型
     */
    public LabMold selectLabMoldById(Long id);

    /**
     * 查询实验室类型列表
     * 
     * @param labMold 实验室类型
     * @return 实验室类型集合
     */
    public List<LabMold> selectLabMoldList(LabMold labMold);

    /**
     * 新增实验室类型
     * 
     * @param labMold 实验室类型
     * @return 结果
     */
    public int insertLabMold(LabMold labMold);

    /**
     * 修改实验室类型
     * 
     * @param labMold 实验室类型
     * @return 结果
     */
    public int updateLabMold(LabMold labMold);

    /**
     * 删除实验室类型
     * 
     * @param id 实验室类型主键
     * @return 结果
     */
    public int deleteLabMoldById(Long id);

    /**
     * 批量删除实验室类型
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLabMoldByIds(Long[] ids);
}
